{ pkgs, rice, ... }:
let
  get = builtins.attrValues;
in
{
  # imports = [
  #   ../programs/vscode.nix
  # ];

  home.packages = get {
    inherit (pkgs)
      git-credential-keepassxc
      direnv
      ;
  };

  programs.zed-editor = {
    enable = false;
    extensions = [
      "nix"
      "rust"
      "ocaml"
      "kanagawa-themes"
    ];
    userSettings = {
      features = {
        copilot = false;
      };
      buffer_font_family = rice.fonts.monospace.name;
      buffer_font_size = rice.fonts.monospace.size;
      theme = {
        mode = "dark";
        dark = "Kanagawa Dragon";
      };
      telemetry = {
        metrics = false;
        diagnostics = false;
      };
      vim_mode = true;
      assistant = {
        default_model = {
          provider = "ollama";
          model = "llama3.2";
        };
        inline_alternatives = {
          provider = "ollama";
          model = "starcoder2:3b";
        };
      };
      language_models = {
        ollama = {
          api_url = "http://localhost:11434";
        };
      };
    };
  };

  programs.direnv = {
    enable = true;
    nix-direnv = {
      enable = true;
    };
    enableFishIntegration = true;
  };

  programs.git = {
    enable = true;
    userName = "atagen";
    userEmail = "boss@atagen.co";
    extraConfig = {
      credential.helper = "keepassxc";
    };
  };
}
